DynamicJava Javadoc: Class InnerClassAllocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class InnerClassAllocation

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Allocation
                              |
                              +--koala.dynamicjava.tree.InnerAllocation
                                    |
                                    +--koala.dynamicjava.tree.InnerClassAllocation

All Implemented Interfaces:
  ExpressionContainer, ExpressionStatement

public class InnerClassAllocation
extends InnerAllocation

This class represents the anonymous inner classe allocation nodes of the syntax tree

Field Summary
`static java.lang.String` | `MEMBERS` The members property name

Fields inherited from class koala.dynamicjava.tree.InnerAllocation
`ARGUMENTS`

Fields inherited from class koala.dynamicjava.tree.Allocation
`CREATION_TYPE`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`InnerClassAllocation(Expression exp, Type tp, java.util.List args, java.util.List memb)` Initializes the expression
`InnerClassAllocation(Expression exp, Type tp, java.util.List args, java.util.List memb, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getMembers()` Returns the members of the anonymous class
`void` | `setMembers(java.util.List l)` Sets the members of the anonymous class

Methods inherited from class koala.dynamicjava.tree.InnerAllocation
`getArguments, getExpression, setArguments, setExpression`

Methods inherited from class koala.dynamicjava.tree.Allocation
`getCreationType, setCreationType`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEMBERS

    public static final java.lang.String MEMBERS

  The members property name

Constructor Detail

### InnerClassAllocation

    public InnerClassAllocation(Expression exp,
                                Type tp,
                                java.util.List args,
                                java.util.List memb)

  Initializes the expression
  Parameters:
    `exp` - the outer object
    `tp` - the type prefix
    `args` - the arguments of the constructor. Can be null.
    `memb` - the members of the class
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null or memb is null or tp is null

### InnerClassAllocation

    public InnerClassAllocation(Expression exp,
                                Type tp,
                                java.util.List args,
                                java.util.List memb,
                                java.lang.String fn,
                                int bl,
                                int bc,
                                int el,
                                int ec)

  Initializes the expression
  Parameters:
    `exp` - the outer object
    `tp` - the type prefix
    `args` - the arguments of the constructor. Can be null.
    `memb` - the members of the class
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null or memb is null or tp is null

Method Detail

### getMembers

    public java.util.List getMembers()

  Returns the members of the anonymous class

### setMembers

    public void setMembers(java.util.List l)

  Sets the members of the anonymous class
  Throws:
    `java.lang.IllegalArgumentException` - if l is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `InnerAllocation`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.